Subject: Re: bug#51449: 28.0.50; iso-transl overwrites alt key bindings

From: "Mark Bestley" <[email-masked]>
Date: Thu, 28 Oct 2021 09:51:29 +0100

On Thu, 28 Oct 2021, at 09:40, Gregory Heytings wrote:
>>
>> (setq mac-command-modifier 'alt)
>>
>> (global-set-key (kbd "A-c")  'info)
>> (global-set-key (kbd "A-z")  'info)
>>
>> Then A-z runs info but A-c just inserts ¢
>>
>
> That's because iso-transl uses key-translation-map, which happens before 
> the key is searched in the global-map.
>

Yes I now remember debugging this a few years ago.

> But what do you want to do exactly?  As I said earlier,
>
> (setq mac-command-modifier 'meta)
> (setq mac-right-command-modifier 'alt)
>
> should I think give you what you want: a meta key on the left of the space 
> bar, an alt key on the right of the space bar.

What I want is to make A-c run the command I want - ie be able to bind it.

The issue is that the code I use Mac-key-mode <https://www.emacswiki.org/emacs/MacKeyMode> (and also Aquamacs) uses A-c as copy to match other MacOS programs.

I would say the bigger issue is that as Eli Zaretskii  said I should be able to rebind A-c 
Another way but I think not as good would be to make the A- bindings by iso-trans only occur if I ask for them.

>From Eli's email saying I can unbind the keys - how do I do that?

In earlier emacs iso-transl was not loaded early (I think was only used in describe-bindings) so that we could work around this.

-- 
Mark